org.richfaces.component

## Enum UIPanelMenu.Properties

- java.lang.Object
- - java.lang.Enum<UIPanelMenu.Properties>
  - - org.richfaces.component.UIPanelMenu.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIPanelMenu.Properties>
  Enclosing class:
    UIPanelMenu

      protected static enum UIPanelMenu.Properties
      extends Enum<UIPanelMenu.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bubbleSelection`
    `collapseEvent`
    `converter`
    `disabled`
    `expandEvent`
    `expandSingle`
    `groupClass`
    `groupDisabledClass`
    `groupMode`
    `itemChangeListener`
    `itemClass`
    `itemDisabledClass`
    `itemMode`
    `onclick`
    `ondblclick`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `style`
    `styleClass`
    `topGroupClass`
    `topGroupDisabledClass`
    `topItemClass`
    `topItemDisabledClass`
    `width`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIPanelMenu.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIPanelMenu.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### bubbleSelection

          public static final UIPanelMenu.Properties bubbleSelection

    - #### collapseEvent

          public static final UIPanelMenu.Properties collapseEvent

    - #### converter

          public static final UIPanelMenu.Properties converter

    - #### disabled

          public static final UIPanelMenu.Properties disabled

    - #### expandEvent

          public static final UIPanelMenu.Properties expandEvent

    - #### expandSingle

          public static final UIPanelMenu.Properties expandSingle

    - #### groupClass

          public static final UIPanelMenu.Properties groupClass

    - #### groupDisabledClass

          public static final UIPanelMenu.Properties groupDisabledClass

    - #### groupMode

          public static final UIPanelMenu.Properties groupMode

    - #### itemChangeListener

          public static final UIPanelMenu.Properties itemChangeListener

    - #### itemClass

          public static final UIPanelMenu.Properties itemClass

    - #### itemDisabledClass

          public static final UIPanelMenu.Properties itemDisabledClass

    - #### itemMode

          public static final UIPanelMenu.Properties itemMode

    - #### onclick

          public static final UIPanelMenu.Properties onclick

    - #### ondblclick

          public static final UIPanelMenu.Properties ondblclick

    - #### onmousedown

          public static final UIPanelMenu.Properties onmousedown

    - #### onmousemove

          public static final UIPanelMenu.Properties onmousemove

    - #### onmouseout

          public static final UIPanelMenu.Properties onmouseout

    - #### onmouseover

          public static final UIPanelMenu.Properties onmouseover

    - #### onmouseup

          public static final UIPanelMenu.Properties onmouseup

    - #### style

          public static final UIPanelMenu.Properties style

    - #### styleClass

          public static final UIPanelMenu.Properties styleClass

    - #### topGroupClass

          public static final UIPanelMenu.Properties topGroupClass

    - #### topGroupDisabledClass

          public static final UIPanelMenu.Properties topGroupDisabledClass

    - #### topItemClass

          public static final UIPanelMenu.Properties topItemClass

    - #### topItemDisabledClass

          public static final UIPanelMenu.Properties topItemDisabledClass

    - #### width

          public static final UIPanelMenu.Properties width

  - ### Method Detail

    - #### values

          public static UIPanelMenu.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIPanelMenu.Properties c : UIPanelMenu.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIPanelMenu.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.